Tag Archive | "plugin"

Tags: , , , ,

WordPress 3.0へのアップグレード

Posted on 10 7月 2010 by nishikawa yoshiyasu

このwebサイトをWordPress 2.7.1から3.0へアップグレードしました。が、少々手こずりました。。

自動アップグレード、手動アップグレードといろいろ試していましたが、データベースのアップグレードを行い、いざ、管理画面にログインすると、「このページにアクセスするための十分なアクセス権がありません。」とエラーが表示され、先に進めなくなりました。

いろいろ調べ、

このページにアクセスするための十分なアクセス権がありません。 – ウェブデザインのヒント F*stream
http://f-stream.net/2010/01/wordpress-upgrade-03/

を、参考に、データベースのテーブルwp_optionsのwp_user_rolesの値をアップグレード前の値に戻したら、とりあえずログインできたものの、ウィジェットの編集ができなかったり、ユーザーの管理ができなかったりと、アクセス権がおかしくなっていました。

その後、あれこれ試してみましたが、結局、2.7.1のデータベースに戻し、再度、データベースのアップグレードを行ったら、何事もなかったかのように、今までどおりログインでき、ウィジェットの編集なども問題なくできるようになっていました。

問題が解決したわけではありませんが、なんとか動いているので、とりあえずよしとすることにしました。

また、2.8以降で使えなくなっていたFlickr Managerプラグインですが、ファイルの一部を修正したら、2.8以降でも使えました(3.0でもOK)。方法は、以下に詳しく書かれていますが、 plugins/wordpress-flickr-manager/js/フォルダのmedia-panel.php、wfm-hs.php、wfm- lightbox.phpの三つのファイルから「@」を削除すればOKです。

FlickrManagerがWordpress2.9で動かないのを直しましたよ。 | スドコガ
http://sudoko.jp/web/1589/0226-2/

Comments (1)

Tags: , , , ,

WordPress 2.8とFilckr Manager

Posted on 22 6月 2009 by nishikawa yoshiyasu

当初、このサイトを最新のWordPress 2.8 で構築しましたが、どうしても使いたかったFlickr Manager プラグインが2.8では動作しなかったため(インストールや設定は可能だが、肝心のFlickrの画像が挿入できなかった)、一つ前の2.7.1で再度サイトを構築しました。

ただ、Flickr Managerが、今年の2月からアップデートが止まっているようで、2.8で使えるようになるかどうかはわからない状況です。WordPressが2.8.1にアップデートしたら使えるようになるといいんだが。

Comments (1)